Get a LinkedIn job's details
curl --request POST \
--url https://api.stophy.dev/v1/linkedin/jobs/job \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({job: '<string>'})
};
fetch('https://api.stophy.dev/v1/linkedin/jobs/job', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/linkedin/jobs/job"
payload = { "job": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"job": {
"url": "<string>",
"id": "<string>",
"title": "<string>",
"company": {
"name": "<string>",
"url": "<string>",
"avatar": "<string>"
},
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"applicants": 0,
"applicantsText": "<string>",
"salaryText": "<string>",
"isEasyApply": true,
"applyUrl": "<string>",
"seniority": "<string>",
"employmentType": "<string>",
"jobFunction": "<string>",
"industries": "<string>",
"description": {
"text": "<string>",
"html": "<string>"
}
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}LinkedIn
LinkedIn job API
Call the LinkedIn job API to get title, company, address, created at, applicants and applicants text, as JSON or markdown. 1 credit.
POST
/
v1
/
linkedin
/
jobs
/
job
Get a LinkedIn job's details
curl --request POST \
--url https://api.stophy.dev/v1/linkedin/jobs/job \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({job: '<string>'})
};
fetch('https://api.stophy.dev/v1/linkedin/jobs/job', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/linkedin/jobs/job"
payload = { "job": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"job": {
"url": "<string>",
"id": "<string>",
"title": "<string>",
"company": {
"name": "<string>",
"url": "<string>",
"avatar": "<string>"
},
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"applicants": 0,
"applicantsText": "<string>",
"salaryText": "<string>",
"isEasyApply": true,
"applyUrl": "<string>",
"seniority": "<string>",
"employmentType": "<string>",
"jobFunction": "<string>",
"industries": "<string>",
"description": {
"text": "<string>",
"html": "<string>"
}
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
linkedin.jobs.job - Returns:
datahasjob. - Cost: 1 credit. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.linkedin.jobs.job({ job: "https://www.linkedin.com/jobs/view/3812345678" });
console.log(result.data.job);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.linkedin.jobs.job(job="https://www.linkedin.com/jobs/view/3812345678")
print(result["data"]["job"])
curl -X POST https://api.stophy.dev/v1/linkedin/jobs/job \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"job":"https://www.linkedin.com/jobs/view/3812345678"}'
stophy linkedin jobs job https://www.linkedin.com/jobs/view/3812345678
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json